# VUE-CLI-PLUGIN-SD-WEIXIN

## 默认依赖

```json
{
  "axios": "^0.18.0",
  "dayjs": "^1.8.6",
  "postcss-plugin-px2viewport": "^0.2.0",
  "weixin-js-sdk": "1.3.2"
}
```

## 默认的index模板

### 1. 添加了dll引用

```html
<script type="text/javascript" src="https://cdn.shuidihuzhu.com/library/js/v1.0/weixin-based-dll.js"></script>
```

## 默认webpack配置

### 1. alias

```js
{
  'vue$': 'vue/dist/vue.esm.js',
  '@': path.join(root, 'src'),
  'src': path.join(root, 'src'),
}
```

- 项目内src文件夹自动设alias（例如：api=>src下api，components=>src下components）

### 2. devServer

- 避免check host报错。disableHostCheck: true

### 3. dllPlugin

### 4. delete prefetch

### 5. delete preload

## 默认命令

### 1. doc

- 生成文档

### 2. dll

- 生成dll（不会用到）
